import { UserPropsModel } from "../models";
export declare class UserProfileService {
    constructor();
    private getPropValue;
    private getSede;
    /**
     * Get all custom User Profile properties
     * @param defaultLang Default language
     */
    getUserPropsModel(defaultLang?: string): Promise<UserPropsModel>;
    /**
     * Get User Profile property
     * @param propName User property internal name
     */
    getUserProperty(propName: string): Promise<string>;
    /**
     * Get SharePoint user language
     * @param defaultLang Default language
     */
    getUserLanguage(defaultLang?: string): Promise<string>;
    /**
     * Get SharePoint user Office
     */
    getUserManager(): Promise<string>;
    /**
     * Get SharePoint user Country
     */
    getUserCountry(): Promise<string>;
    /**
     * Get SharePoint user City
     */
    getUserCity(): Promise<string>;
    /**
     * Get SharePoint user Office
     */
    getUserOffice(): Promise<string>;
    /**
     * Get SharePoint user Sede
     */
    getUserSede(): Promise<string>;
    /**
     * Get SharePoint user Hiring Date
     */
    getUserHiringDate(): Promise<string>;
    /**
     * Get SharePoint user Available Old Days
     */
    getUserAvailableOldDays(): Promise<string>;
}
